# Autor: Miguel Troyano
# URL: www.migueltroyano.com
# Descripcin: Script de powershell que sustituye una palabra por otra masivamente

# Si ocurre algun error no continuara con el proceso
$ErrorActionPreference = "Stop"

# Mensaje por pantalla
Write-Output "Ejecutando script, por favor espere..."

# Paso 1:  definicion de variables
$fecha= $(get-date -Format 'dd/MM/yyyy, hh:mm')
$v_Directorio = $v_Directorio

#varaibles de busqueda y remplazo
$v_Busqueda_1 = '#000000'
$v_Remplazo_1 = '#ffffff'
$v_Busqueda_2 = '#010101'
$v_Remplazo_2 = '#ffffff'
$v_Busqueda_3 = '#020202'
$v_Remplazo_3 = '#ffffff'

# Se abre y modifica fichero por fichero para sustituir palabras
try {
	write $v_Directorio
	$contador = (Get-ChildItem -Recurse ./Ficheros ).count
	 $i = 1
	Get-ChildItem $v_Directorio -Recurse *.html | Where {$_ -IS [IO.FileInfo]} |
	% {
	(Get-Content $_.FullName) -creplace $v_Busqueda_1,$v_Remplazo_1-creplace $v_Busqueda_2,$v_Remplazo_2 -creplace $v_Busqueda_3,$v_Remplazo_3 | Set-Content $_.FullName
	
	 $contador | ForEach-Object {
		Write-Progress -Activity "Modificando... " -Status "Fichero n $i de $($contador)"
		$i++
		}
	}
}
catch {
	Write-Warning "Error 01: Se ha producido un error al modificar los ficheros html"
	"($fecha) - ($_.Exception.Message)" | Out-File .\errorlog.txt -Append
}
	
Write-Output ""
Write-Output "Fin de la ejecucin"